Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_POA_Guard Class Reference

TAO_POA_Guard. More...

`#include <POA.h>`

Collaboration diagram for TAO_POA_Guard:

[legend]
List of all members.

## Public Methods
| TAO_POA_Guard (TAO_POA &poa ACE_ENV_ARG_DECL, int check_for_destruction=1)
## Private Attributes
ACE_Guard< ACE_Lock > | guard_

## Detailed Description

TAO_POA_Guard.

TAO_POA_Guard

## Constructor & Destructor Documentation

TAO_POA_Guard::TAO_POA_Guard | ( | TAO_POA &poa | ACE_ENV_ARG_DECL,
|  | int | check_for_destruction = 1
| ) |

## Member Data Documentation

ACE_Guard<ACE_Lock> TAO_POA_Guard::guard_`[private]`

The documentation for this class was generated from the following files:

- POA.h
- POA.cpp